/* Inspector.java */

package whitespace;

import java.util.* ;

import whitespace.InstructionNode;

public interface Inspector {
  public static final int CONTINUE = 0;
  public static final int BREAK = 1;

  public int inspect(int pc, List<InstructionNode> program, 
		     Stack<Long> dataStack, Stack<Integer> callStack);

  public void finishInspection();
}
