/* InstructionNode.java */

package whitespace;

public class InstructionNode {
  public int opcode;
  public long numberParam = 0L;
  public String labelParam = null;

  public InstructionNode(int opcode, long param) {
    this.opcode = opcode;
    this.numberParam = param;
  }
  public InstructionNode(int opcode, String label) {
    this.opcode = opcode;
    this.labelParam = label;
  }
  public InstructionNode(int opcode) {
    this(opcode, 0L);
  }
}


  
